﻿using System;
using Unit4.CollectionsLib;

/// <summary>
/// פתרון לשאלה 1 פרק 11
/// ====================
/// </summary>
/// <author> צוות מדעי המחשב, המרכז להוראת המדעים, האוניברסיטה העברית, ירושלים </author>
/// <version> 28.11.2007 </version>

public class Ex1
{
    public static void Main(string[] args)
	{
		Map<Student> studentsPool = new Map<Student>();
		
		string[] ids = studentsPool.GetAllKeys();
		
		// פתרון לסעיף א
		for (int i = 0; i < ids.Length; i++)
		{
			Student st = studentsPool.GetValue(ids[i]);
			if(st.GetPhoneNum().StartsWith("02"))
				Console.WriteLine(st.GetName());
		}
		
		
		// פתרון לסעיף ב
		for (int i = 0; i < ids.Length; i++)
		{
			Student st = studentsPool.GetValue(ids[i]);
			if(st.GetParent().getName().Equals("משה כהן"))
                Console.WriteLine(ids[i]);
		}
		
		
		// פתרון לסעיף ג
		Student stu = studentsPool.GetValue("07845602"); // ההנחה: שקיים תלמיד עם מספר זהות זה
		stu.GetParent().setCellNum("050-1234567");
		studentsPool.Insert("07845602", stu);
	}
}
