using System;
using System.Collections.Generic;
using System.Text;

namespace TestPhoneBook
{
    /// <summary>
    ///    
    /// </summary>
    /// <author>   ,   ,  ,  </author>
    /// <version> 28.11.2007 </version>
    public class TestPhoneBook
    {
        public static void Main(string[] args)
        {
            //   
            PhoneBook book = new PhoneBook();

            //     
            book.AddContact("Galit Israel", "03-9089730");
            book.AddContact("Avner Chohen", "02-7474747");
            book.AddContact("Gershon Avraham", "02-8900011");
            book.AddContact("Daniela Yariv", "04-5677708");
            book.AddContact("Alice Marlo", "04-5699300");
            book.AddContact("Bob Denver", "04-5699300");
            book.AddContact("Galit Israel", "02-6415555");

            int op;
            do
            {
                op = ShowMenu();
                switch (op)
                {
                    case 1: AddContactToPhoneBook(book); break;
                    case 2: DelContactFromPhoneBook(book); break;
                    case 3: GetContactPhone(book); break;
                    case 4: Console.WriteLine(book); break;
                    case 5: Console.WriteLine("Num Of Contacts: " + book.GetAllContactsNames().Length); break;
                }
                if (op != 6)
                {
                    Console.WriteLine("Press Enter to show menu...");
                    Console.ReadLine();
                    Console.WriteLine();
                    Console.WriteLine();
                }
            } while (op != 6);

            Console.WriteLine("Bye Bye.");
        }

        //           
        public static int ShowMenu()
        {
            int op;

            do
            {
                Console.WriteLine("=======================================");
                Console.WriteLine("1. Add/Update contact");
                Console.WriteLine("2. Delete exist contact");
                Console.WriteLine("3. Get contact phone number");
                Console.WriteLine("4. Print the phone book");
                Console.WriteLine("5. Get number of conatcts in phone book");
                Console.WriteLine("6. Exit");
                Console.WriteLine("=======================================");
                Console.Write(">> Enter your option [1-6]: ");
                op = Convert.ToInt16(Console.ReadLine());
                Console.WriteLine();

            } while (op < 1 || op > 6);

            return (op);
        }

        //  /    
        public static void AddContactToPhoneBook(PhoneBook book)
        {

            Console.Write(">> Enter contact name to add or update: ");
            string name = Console.ReadLine();
            Console.Write(">> Enter contact phone: ");
            string phone = Console.ReadLine();


            if (book.GetPhone(name) != null)
                Console.WriteLine("Contact allready exist in phone book, phone was updated. ");
            else
                Console.WriteLine("Contact was add to phone book.");

            book.AddContact(name, phone);
            Console.WriteLine(book);
        }

        //      
        public static void DelContactFromPhoneBook(PhoneBook book)
        {

            Console.Write(">> Enter contact name to delete: ");
            string name = Console.ReadLine();

            if (book.GetPhone(name) != null)
            {
                book.DelContact(name);
                Console.WriteLine("Contact was deleted from phone book. ");
            }
            else
                Console.WriteLine("Contact was not found in the phone book. ");

            Console.WriteLine(book);
        }


        //         
        public static void GetContactPhone(PhoneBook book)
        {

            Console.Write(">> Enter contact name: ");
            string name = Console.ReadLine();

            string phone = book.GetPhone(name);
            if (phone != null)
                Console.WriteLine("The phone number is: " + phone);
            else
                Console.WriteLine("Contact was not found in the phone book. ");
        }
    }
}
