﻿
/// <summary>
/// המחלקה מגדירה זוג ערכים גנריים
/// </summary>
/// <author> צוות מדעי המחשב, המרכז להוראת המדעים, האוניברסיטה העברית, ירושלים </author>
/// <version> 28.11.2007 </version>
class Pair<K, V>
{
    private K key;
    private V value;

    public Pair(K key, V value)
    {
        this.key = key;
        this.value = value;
    }

    public K GetKey()
    {
        return key;
    }

    public void SetKey(K key)
    {
        this.key = key;
    }

    public V GetValue()
    {
        return value;
    }

    public void SetValue(V value)
    {
        this.value = value;
    }

    public override string ToString()
    {
        return this.key + "," + this.value;
    }
}